#
# Conditional build:
%bcond_with	integration	# Integration tests work in mock but fail in Koji with PermissionError
%bcond_with	tests		# unit tests

%define module	zeroconf
Summary:	Pure Python Multicast DNS Service Discovery Library
Summary(pl.UTF-8):	Czysto pythonowa biblioteka Multicast DNS Service Discovery
Name:		python3-%{module}
# 0.40+ uses poetry to build
Version:	0.39.4
Release:	3
License:	LGPL v2
Group:		Libraries/Python
#Source0Download: https://github.com/jstasiak/python-zeroconf/releases
Source0:	https://github.com/jstasiak/python-zeroconf/archive/%{version}/python-%{module}-%{version}.tar.gz
# Source0-md5:	b37ccfaff57368f6fc079676f904c834
URL:		https://github.com/jstasiak/python-zeroconf
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-async_timeout >= 4.0.1
BuildRequires:	python3-ifaddr >= 0.1.7
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A pure Python implementation of multicast DNS service discovery
supporting Bonjour/Avahi.

%description -l pl.UTF-8
Czysto pythonowa implementacja wykrywania usług multicastowych DNS
przy użyciu Bonjour/Avahi.

%prep
%setup -q -n python-%{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest \
	%{!?with_integration:-k "not integration"}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/zeroconf
%{py3_sitescriptdir}/zeroconf-%{version}-py*.egg-info
%changelog
* Wed Mar 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-zeroconf.git;a=log;h=auto/th/python3-zeroconf-0.39.4-3

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 447c0ea
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> f7d374a
- python 3.13 rebuild

* Sun Mar 26 2023 Jakub Bogusz <qboosh@pld-linux.org> b5456e6
- python-zeroconf.spec updated to 0.39.4 for python 3.7+

* Sun Mar 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 401c9fd
- updated to 0.19.1, pl, cleanup
- added mock patch (use unittest.mock instead of separate mock for python3)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 0bbc0f8
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> bec70ff
- rebuild with python 3.10

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 459eaa3
- release 6 (by relup.sh)

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 0b71374
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 568df88
- rebuild with python 3.8
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f555df
- release 3 (by relup.sh)

* Sun May 14 2017 Jan Rękorajski <baggins@pld-linux.org> aadc189
- disable tests (need network)
- rel 2

* Sun May 14 2017 Jan Rękorajski <baggins@pld-linux.org> 051bef8
- fix macro definition

* Sun May 14 2017 Jan Rękorajski <baggins@pld-linux.org> 99aed9d
- new

